delete asset.md

Delete Asset

Media API · Assets

DELETE https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}

Delete Asset. When you delete an asset, the underlying storage container will be deleted too. You can control this behavior by assigning a DeletionPolicy to your asset.

RBAC Capability Required: ams.asset.delete

Authentication

Path parameters

Name Type Required Description
project_name string Yes
asset_name string Yes

Example request

curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/media/assets/{asset_name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — Asset deleted.

No response body.

204 — Nothing to delete.

No response body.

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

Source spec: media-api · operationId: [delete]_/api/v1/projects/{project_name}/media/assets/{asset_name}